<?php

include_once (MYSQL);
include_once (dirname(__FILE__)."/localization.php");

class lists {
    
	function lists () {     
		$this->DB = new DB;
		$this->DB->connect();
		$this->LOCALIZE = new localization;
    }
		
	function getCountries($lang) {
		
		require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . "utils" . DIRECTORY_SEPARATOR . "whois" . DIRECTORY_SEPARATOR . "whois.php");
		$whois = new whois();
		$cc = $whois->getCountry();
		
		$lang = $this->LOCALIZE->checkLanguage($lang);
		
		$getdata = $this->DB->query("SELECT country.iso as iso, name.$lang as name FROM country
									 Inner Join localization AS name ON country.variable = name.variable
									 ORDER BY name ASC");
		
		$country[] = array('iso' => "", 
			               'name' => $this->LOCALIZE->getPhrase("country_first", $lang), 
						   'selected' => $cc == "xx" ? 1 : 0);
		
		while($section = $this->DB->fetch_array($getdata)) {
			$country[] = array('iso' => $section['iso'], 
			                   'name' => $section['name'], 
							   'selected' => $cc == $section['iso'] ? 1 : 0);
		}
		
        return $country;
		
    }
	
	function getLanguages($lang) {
        
		$lang = $this->LOCALIZE->checkLanguage($lang);
		
		$data = array();
		$getdata = $this->DB->query("SELECT languages.iso, localization.$lang as name FROM languages
									 Inner Join localization ON languages.variable = localization.variable ORDER BY name; ");
		
		$data[] = array('iso' => "", 'name' => $this->LOCALIZE->getPhrase("language_first", $lang));
		
		while($section = $this->DB->fetch_array($getdata)) {
			$data[] = array('iso' => $section['iso'], 'name' => $section['name']);
		}
		
        return $data;

    }
	
	function getAdminBanWords() {
		$getdata = $this->DB->query("SELECT * FROM ban_words;");        		        
		while ($row = $this->DB->fetch_array($getdata)) {
			$result[] = array('id' => $row['id'], 'value' => $row['value'], 'description' => $row['description']);
        }
        return $result;
	}
	
	function timeToDate($time) {
		return date("Y.m.d H:i:s", $time);
	}
	
	
	
}
?>