<?php

include_once (MYSQL);

class localization {

    function localization () {
		$this->DB = new DB;		
		$this->DB->connect();		
    }
	
	function getPhrase($variable, $lang) {
		$getdata = $this->DB->query("SELECT $lang as phrase FROM localization WHERE variable='$variable' LIMIT 1; ");
		$section = $this->DB->fetch_array($getdata);
		$phrase = $section['phrase'];
		return $phrase;
	}
	
	function getPhrases($apps, $lang) {
		$lang = $this->checkLanguage($lang);
		$add = "";		
		$apps_arr = $apps;
		if (count($apps_arr)>0) {
			$add = "WHERE component = '".$apps_arr[0]."' ";
			for ($i=1; $i<count($apps_arr); $i++) {
				$add .= "OR component = '".$apps_arr[$i]."' ";
			}
		}		
		$getdata = $this->DB->query("SELECT variable, component, $lang as phrase FROM localization ".$add);
		while($section = $this->DB->fetch_array($getdata)) {		
			$prases[$section['component']][$section['variable']] = $section['phrase'];						
		}
		$prases['localize']['language'] = $lang;	
		return $prases;
	}
	
	function getComponents($lang) {
		$getdata = $this->DB->query("SELECT component FROM localization GROUP BY component ORDER BY component;");
		while($section = $this->DB->fetch_array($getdata)) {		
			$components[] = $section['component'];						
		}
		return array('languages' => $this->getLanguages($lang), 'components' => $components);
	}
	
	function getComponentPhrases($component, $lang) {
		$lang = $this->checkLanguage($lang);
		$getdata = $this->DB->query("SELECT id, variable, $lang AS value FROM localization WHERE component = '$component' ORDER BY variable;");
		while($section = $this->DB->fetch_array($getdata)) {		
			$phrases[] = array('id' => $section['id'], 'variable' => $section['variable'], 'value' => $section['value']);						
		}
		return $phrases;
	}
	
	function addPhrase($component, $variable, $values) {
		$getdata = $this->DB->query("SELECT id FROM localization WHERE component = '$component' AND variable = '$variable';");
		$rows = $this->DB->get_num_rows($getdata);
		if ($rows > 0) return false;
		$this->DB->query("INSERT INTO localization (component, variable) VALUES('$component', '$variable');");
		$id = $this->DB->insert_id();
		for ($i=0; $i<count($values); $i++) {
			$iso = $values[$i]['iso'];
			$value = addslashes($values[$i]['value']);
			$this->DB->query("UPDATE localization SET $iso = '$value' WHERE id = '$id';");
		}
		return true;
	}
	
	function editPhrase($id, $component, $variable, $values) {
		$getdata = $this->DB->query("SELECT id FROM localization WHERE component = '$component' AND variable = '$variable';");
		$rows = $this->DB->get_num_rows($getdata);
		if ($rows > 0) {
			for ($i=0; $i<count($values); $i++) {
				$iso = $values[$i]['iso'];
				$value = addslashes($values[$i]['value']);
				$this->DB->query("UPDATE localization SET $iso = '$value' WHERE id = '$id';");
			}
		} else {
			$this->removePhrase($id);
			$this->addPhrase($component, $variable, $values);
		}
		return true;
	}
	
	function removePhrase($id) {
		$this->DB->query("DELETE FROM localization WHERE id = '$id' LIMIT 1;");
		return true;
	}
	
	function getValues($id) {
		$getdata = $this->DB->query("SELECT * FROM localization WHERE id = '$id';");
		$row = $this->DB->fetch_array($getdata);
		
		$getdata = $this->DB->query("SELECT iso FROM languages WHERE selected = 1;");
		while($section = $this->DB->fetch_array($getdata)) {		
			$iso = $section['iso'];
			$values[$iso] = $row[$iso];
		}
		
		return $values;
	}
	
	function search($variable) {
		$getdata = $this->DB->query("SELECT component FROM localization WHERE variable = '$variable';");
		$rows = $this->DB->get_num_rows($getdata);
		if ($rows > 0) {
			while($section = $this->DB->fetch_array($getdata)) {		
				$components[] = $section['component'];						
			}
			return $components;
		} else {
			return false;
		}
	}
	
	function getLanguages($lang) {  
		$lang = $this->checkLanguage($lang);
		$getdata = $this->DB->query("SELECT languages.iso, name.$lang AS name
                                     FROM languages
                                     Inner Join languages AS iso ON languages.iso = iso.iso
                                     Inner Join localization AS name ON iso.variable = name.variable
									 WHERE languages.selected = 1
									 ORDER BY name ASC;");
		while($section = $this->DB->fetch_array($getdata)) {		
			$langs[] = array('iso' => $section['iso'], 'name' => $section['name']);
		}
		return $langs;
	}
	
	function getLanguagesIso() {  
		$getdata = $this->DB->query("SELECT iso FROM languages WHERE selected = 1;");
		while($section = $this->DB->fetch_array($getdata)) {		
			$iso[] = $section['iso'];
		}
		return $iso;
	}
	
	function checkLanguage($lang) {
		$getdata = $this->DB->query("SELECT COUNT(*) as count FROM languages WHERE iso='$lang' AND selected = 1 LIMIT 1; ");
		$section = $this->DB->fetch_array($getdata);
		$count = $section['count'];
		if ($count == 1) {
			return $lang;
		} else {
			include_once("clients.php");
			$clients = new clients();
			$type = $clients->getType();
			$getdata = $this->DB->query("SELECT language FROM clients WHERE type = '$type' LIMIT 1;");
			$section = $this->DB->fetch_array($getdata);
			return $section['language'];
		}
	}
	
	function getLocalization($lang) {
		
		$lang = $this->checkLanguage($lang);
	
		$getdata = $this->DB->query("SELECT languages.iso, localization.$lang AS name, languages.selected
                                     FROM languages
                                     Inner Join localization ON languages.variable = localization.variable
									 $add_query ORDER BY name ASC");
		
		while($section = $this->DB->fetch_array($getdata)) {
			$iso = $section['iso'];
			$sel[] = array('iso' => $iso, 'name' => $section['name'], 'selected' => $section['selected'] == 1 ? true : false);
		}
		
		return $sel;
		
	}
	
	function setLocalization($params) {
		$this->DB->query("UPDATE languages SET selected = 0;");
		for ($i=0; $i<count($params); $i++) {
			$iso = $params[$i];
			$this->DB->query("UPDATE languages SET selected = 1 WHERE iso = '$iso';");
			$this->DB->query("ALTER TABLE localization ADD $iso TEXT NOT NULL;");
		}
		return true;
	}
	
	function getNames($str, $lang) {
		if ($str == "") return array();
		$lang = $this->checkLanguage($lang);
		$languages = explode(",", $str);
		$add = "";
		for ($i=0; $i<count($languages); $i++) {
			$iso = $languages[$i];
			$add .= ($add != "" ? " OR " : "")."iso = '$iso'";
		} 
		
		$getdata = $this->DB->query("SELECT localization.$lang AS name FROM languages
                                     Inner Join localization ON languages.variable = localization.variable
									 WHERE $add;");
		while($section = $this->DB->fetch_array($getdata)) {
			$result[] = $section['name'];
		}
		return implode(", ", $result);
	}
	
	function getContryName($iso, $lang) {
		$getdata = $this->DB->query("SELECT localization.$lang AS name FROM country
                                     Inner Join localization ON country.variable = localization.variable
                                     WHERE country.iso =  '$iso' LIMIT 1;");
		$section = $this->DB->fetch_array($getdata);
		return $section['name'];
	}
	
}

?>