<?php

include_once (MYSQL);
include_once (dirname(__FILE__)."/localization.php");

class phrases {

    function phrases() {     
		$this->DB = new DB;
		$this->DB->connect();
		$this->LOCALIZE = new localization;
    }

	function getPhrases($user_id, $lang) {
		
		$lang = $this->LOCALIZE->checkLanguage($lang);
		
		$phrases = array();
		$getdata = $this->DB->query("SELECT phrase FROM phrases WHERE user_id = '$user_id' ORDER BY phrase;");
		
		while($section = $this->DB->fetch_array($getdata)) {
			$phrases[] = $section['phrase'];
		}
		
		if (count($phrases) > 0) {
			return $phrases;
		} else {
			return $this->addStandartPhrases($user_id, $lang);
		}
        
	}
	
	function addPhrase($user_id, $phrase, $lang) {
		
		$lang = $this->LOCALIZE->checkLanguage($lang);
		
		$phrase = addslashes($phrase);
		
		$getdata = $this->DB->query("SELECT phrase FROM phrases WHERE user_id = '$user_id' AND phrase = '$phrase';");
		$section = $this->DB->fetch_array($getdata);
		$tp = $section['phrase'];
		
		if (!$tp) {
			$this->DB->query("INSERT INTO phrases (user_id, phrase) VALUES('$user_id', '$phrase');");
		}
		
		return $this->getPhrases($user_id, $lang);
		
	}
	
	function removePhrase($user_id, $phrase, $lang) {
		
		$this->DB->query("DELETE FROM phrases WHERE phrase = '$phrase'");
		
		return $this->getPhrases($user_id, $lang);
		
	}
	
	private function addStandartPhrases($user_id, $lang) {
		
		$lang = $this->LOCALIZE->checkLanguage($lang);
		
		$phrases = array();
		$getdata = $this->DB->query("SELECT $lang AS phrase FROM localization WHERE component = 'default_phrases'; ");
		
		while($section = $this->DB->fetch_array($getdata)) {
		
			$cp = $section['phrase'];
			$this->addPhrase($user_id, $cp, $lang);
			
		}
		
		return $this->getPhrases($user_id, $lang);
		
	}
	
}

?>