<?php

include_once (MYSQL);

class games {

    function games() {     
		$this->DB = new DB;
		$this->DB->connect();
		define("GAMES", ROOT."games/");
		if (!is_dir(GAMES)) mkdir(GAMES, 0777); 
    }
	
	/*
	* Categories
	*/
	
	function getCategories() {
		$getdata = $this->DB->query("SELECT * FROM modules_games_categories ORDER BY name ASC;");
		while($section = $this->DB->fetch_array($getdata)) {
			$folders[] = array('id' => $section['id'], 'name' => $section['name'], 'path' => $section['path']);
		}
		return $folders;
    }
	
	function addCategory($path, $name) {
		
		$name = addslashes($name);
		
		$getdata = $this->DB->query("SELECT * FROM modules_games_categories WHERE path = '$path' OR name = '$name';");
		$rows = $this->DB->get_num_rows($getdata);
		if ($rows > 0) return false; 
		
		$this->DB->query("INSERT INTO modules_games_categories (name, path) VALUES('$name', '$path');");
		mkdir(GAMES.$path, 0777);
		return true;
	}
	
	function editCategory($path, $name) {
		$this->DB->query("UPDATE modules_games_categories SET name = '$name' WHERE path = '$path' LIMIT 1;");
		return true;
	}
	
	function removeCategory($id, $path) {
		$dir = GAMES.$path;
		if ($this->deleteFolder($dir)) {
			$this->DB->query("DELETE FROM modules_games_categories WHERE path = '$path' LIMIT 1;");
			$this->DB->query("DELETE FROM modules_games_items WHERE category = '$id';");
			return true;
		} else {
			return false;
		}
	}
	
	private function deleteFolder($dir) {
		if (substr($dir, strlen($dir)-1, 1) != '/') $dir .= '/';
	   	if ($handle = opendir($dir)) {
			while ($obj = readdir($handle)) {
			   if ($obj != '.' && $obj != '..') {
				   if (is_dir($dir.$obj)) {
					   if (!$this->deleteFolder($dir.$obj)) return false;
				   } elseif (is_file($dir.$obj)) {
					   if (!unlink($dir.$obj)) return false;
				   }
			   }
		   }
		   closedir($handle);
		   if (!@rmdir($dir)) return false;
		   return true;
	   }
	   return false;
	}
	
	/*
	* Games
	*/
	
	function getGames($category) {
		$getdata = $this->DB->query("SELECT * FROM modules_games_items WHERE category = '$category' ORDER BY name ASC;");
		while($section = $this->DB->fetch_array($getdata)) {
			$games[] = array('id' => $section['id'], 
		                     'name' => $section['name'], 
							 'description' => $section['description']);
		}
		return $games;
    }
	
	function addGame($category_id, $name, $description, $icon) {
		
		$name = addslashes($name);
		$description = addslashes($description);
		
		$this->DB->query("INSERT INTO modules_games_items (category, name, description) VALUES('$category_id', '$name', '$description');");
		$last_id = $this->DB->insert_id();
		
		$getdata = $this->DB->query("SELECT * FROM modules_games_categories WHERE id = '$category_id' LIMIT 1;");
		$section = $this->DB->fetch_array($getdata);
		$category = $section['path'];
		
		
		/* ICON */
		
		$types = array('gif', 'jpg', 'png', 'swf', 'psd', 'bmp', 'tiff', 'tiff', 'jpc', 'jp2', 'jpx', 'jb2', 'swc', 'iff', 'wbmp', 'xbm');
		list($width, $height, $type, $attr) = getimagesize(GAMES.$icon);
		
		$type = $types[$type-1];
		
		$new_width = 100;
		$new_height = 100;
		
		switch ($type) {
			case "jpg":
				$src_im = imagecreatefromjpeg(GAMES.$icon);
				break;
			case "jpeg":
				$src_im = imagecreatefromjpeg(GAMES.$icon);
				break;
			case "png":
				$src_im = imagecreatefrompng(GAMES.$icon);
				break;
			case "gif":
				$src_im = imagecreatefromgif(GAMES.$icon);
				break;
		}
				
		$new_filename = $last_id."_icon.jpg";
						
		$dst_im = imagecreatetruecolor($new_width, $new_height);
		imagecopyresampled($dst_im, $src_im, 0, 0, 0, 0, $new_width, $new_height, $width, $height);
		
		imagejpeg($dst_im, GAMES.$category."/".$new_filename, 90);
		
		imagedestroy($src_im);
		imagedestroy($dst_im);
		
		unlink(GAMES.$icon);
		
		/* SWF */
		
		copy(GAMES."temp.swf", GAMES.$category."/".$last_id."_file.swf");
		
		unlink(GAMES."temp.swf");
		
		return GAMES.$icon;
		
	}
	
	function removeGames($ids, $folder) {
		
		for ($i=0; $i<count($ids); $i++) {
			
			$id = $ids[$i];
			
			$icon = GAMES.$folder."/".$id."_icon.jpg";
			if (is_file($icon)) unlink($icon);
			
			$swf = GAMES.$folder."/".$id."_file.swf";
			if (is_file($swf)) unlink($swf);
			
			$this->DB->query("DELETE FROM modules_games_items WHERE id = '$id';");
			
		}
		
		return true;
		
	}
	
	
}
?>